> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# List all Studio projects as an admin

GET https://example.itential.io/automation-studio/admin/projects

Returns a paginated list of Studio projects system-wide, bypassing per-project access control.

Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/admin-get-projects

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `equals` (AutomationStudioAdminProjectsGetParametersEquals, optional) — equals
- `in` (AutomationStudioAdminProjectsGetParametersIn, optional) — in
- `starts-with` (AutomationStudioAdminProjectsGetParametersStartsWith, optional) — starts-with
- `contains` (AutomationStudioAdminProjectsGetParametersContains, optional) — contains
- `sort` (enum, optional) — sort
  - Allowed values: `_id`, `iid`, `name`, `created`, `lastUpdated`, `createdBy`, `lastUpdatedBy`
- `order` (enum, optional) — order
  - Allowed values: `asc`, `desc`
- `skip` (AutomationStudioAdminProjectsGetParametersSkip, optional) — skip
- `limit` (AutomationStudioAdminProjectsGetParametersLimit, optional) — limit

## Response

### 200

Projects

- `message` (string, optional)
- `data` (list of automation-studio_projects-http, optional)
- `metadata` (AutomationStudioAdminProjectsGetResponsesContentApplicationJsonSchemaMetadata, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### AutomationStudioAdminProjectsGetParametersEquals

- `_id` (string, optional)
- `iid` (double, optional)
- `name` (string, optional)
- `createdBy` (string, optional)
- `lastUpdatedBy` (string, optional)

### AutomationStudioAdminProjectsGetParametersIn

- `_id` (AutomationStudioAdminProjectsGetParametersInSchemaId, optional)
- `iid` (AutomationStudioAdminProjectsGetParametersInSchemaIid, optional)
- `name` (AutomationStudioAdminProjectsGetParametersInSchemaName, optional)
- `createdBy` (AutomationStudioAdminProjectsGetParametersInSchemaCreatedBy, optional)
- `lastUpdatedBy` (AutomationStudioAdminProjectsGetParametersInSchemaLastUpdatedBy, optional)

### AutomationStudioAdminProjectsGetParametersStartsWith

- `name` (string, optional)

### AutomationStudioAdminProjectsGetParametersContains

- `name` (string, optional)
- `description` (string, optional)
- `name,description` (string, optional)
- `description,name` (string, optional)

### AutomationStudioAdminProjectsGetParametersSkip

### AutomationStudioAdminProjectsGetParametersLimit

### automation-studio_projects-http

Project data as it is sent back from get and search endpoints

- `_id` (string, optional) — A string representation of a MongoDB ObjectId
- `iid` (integer, optional) — Incrementing integer ID
- `name` (string, optional) — Project name
- `description` (string, optional) — A free-form block of text for describing project intent and function
- `members` (list of AutomationStudioProjectsHttpMembersItems, optional)
- `accessControl` (AutomationStudioProjectsHttpAccessControl, optional)
- `componentIidIndex` (integer, optional) — Read-only property providing incrementing integer ID values for child components within a project
- `components` (list of AutomationStudioProjectsHttpComponentsItems, optional) — A list of member components in the project
- `folders` (list of AutomationStudioProjectsHttpFoldersItems, optional) — A list of folders and their members
- `created` (string, optional) — ISO Date String
- `createdBy` (any, optional)
- `lastUpdated` (string, optional) — ISO Date String
- `lastUpdatedBy` (any, optional)
- `versionHistory` (list of AutomationStudioProjectsHttpVersionHistoryItems, optional)
- `gitConfiguration` (AutomationStudioProjectsHttpGitConfiguration, optional)

### AutomationStudioAdminProjectsGetResponsesContentApplicationJsonSchemaMetadata

- `skip` (double, optional)
- `limit` (double, optional)
- `total` (double, optional)
- `previousPageSkip` (double, optional, nullable)
- `nextPageSkip` (double, optional, nullable)

### AutomationStudioAdminProjectsGetParametersInSchemaId

### AutomationStudioAdminProjectsGetParametersInSchemaIid

### AutomationStudioAdminProjectsGetParametersInSchemaName

### AutomationStudioAdminProjectsGetParametersInSchemaCreatedBy

### AutomationStudioAdminProjectsGetParametersInSchemaLastUpdatedBy

### AutomationStudioProjectsHttpMembersItems

- `type` (enum, required)
  - Allowed values: `account`, `group`
- `reference` (string, required) — A string representation of a MongoDB ObjectId
- `role` (enum, required)
  - Allowed values: `owner`, `editor`, `operator`, `viewer`
- `missing` (boolean, optional)
- `username` (string, optional)
- `name` (string, optional)
- `provenance` (string, optional)

### AutomationStudioProjectsHttpAccessControl

- `read` (list of string, required)
- `execute` (list of string, required)
- `write` (list of string, required)
- `manage` (list of string, required)

### AutomationStudioProjectsHttpComponentsItems

An IAP component which resides within a project

- `iid` (integer, optional) — Incrementing integer ID
- `type` (enum, optional) — String denoting the type of component
  - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
- `reference` (string, optional)
- `folder` (string, optional)

### AutomationStudioProjectsHttpFoldersItems

### AutomationStudioProjectsHttpVersionHistoryItems

- `versionNumber` (integer, required)
- `commitMessage` (string, required)
- `author` (string, required)
- `branchName` (string, required)

### AutomationStudioProjectsHttpGitConfiguration

- `connectionType` (enum, required)
  - Allowed values: `GitHub`, `GitLab`
- `repositoryPath` (string, required)
- `branchName` (string, required)
- `projectPath` (string, required)

### AutomationStudioProjectsHttpFoldersItems0

- `nodeType` (enum, required) — String denoting the nodeType of the folder node
  - Allowed values: `folder`, `component`
- `name` (string, required) — Folder name
- `children` (list of AutomationStudioProjectsHttpFoldersItemsOneOf0ChildrenItems, required)

### AutomationStudioProjectsHttpFoldersItems1

- `iid` (integer, required) — Incrementing integer ID
- `nodeType` (enum, required) — String denoting the nodeType of the folder node
  - Allowed values: `folder`, `component`
- `type` (enum, optional) — String denoting the type of component
  - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
- `reference` (string, optional)

### AutomationStudioProjectsHttpFoldersItemsOneOf0ChildrenItems

### AutomationStudioProjectsHttpFoldersItemsOneOf0ChildrenItems1

- `iid` (integer, required) — Incrementing integer ID
- `nodeType` (enum, required) — String denoting the nodeType of the folder node
  - Allowed values: `folder`, `component`
- `type` (enum, optional) — String denoting the type of component
  - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
- `reference` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully retrieved projects",
  "data": [
    {
      "_id": "62a1f3d2ebedfc54e6e0065c",
      "iid": 1,
      "name": "Firewall Service Provisioning",
      "description": "This project is used at Acme Corp as the foundation of some major parts of our business process.",
      "members": [
        {
          "type": "account",
          "reference": "62a1f3d2ebedfc54e6e0065c",
          "role": "owner",
          "missing": true,
          "username": "admin@pronghorn",
          "name": "admin",
          "provenance": "Pronghorn"
        }
      ],
      "accessControl": {
        "read": [
          "account:67d3108eddcf3e66cc0efbac"
        ],
        "execute": [
          "account:67d3108eddcf3e66cc0efbac"
        ],
        "write": [
          "account:67d3108eddcf3e66cc0efbac"
        ],
        "manage": [
          "account:67d3108eddcf3e66cc0efbac"
        ]
      },
      "componentIidIndex": 1,
      "components": [
        {
          "iid": 1,
          "type": "workflow",
          "reference": "1Ac4B2268489019745B5baa4",
          "folder": "string"
        }
      ],
      "folders": [
        {
          "children": [
            null
          ],
          "name": "folder-1",
          "nodeType": "folder"
        }
      ],
      "created": "2019-11-25T22:51:39.201Z",
      "lastUpdated": "2019-11-25T22:51:39.201Z",
      "versionHistory": [
        {
          "versionNumber": 1,
          "commitMessage": "string",
          "author": "admin@pronghorn",
          "branchName": "master"
        }
      ],
      "gitConfiguration": {
        "connectionType": "GitHub",
        "repositoryPath": "Itential Open Source",
        "branchName": "master",
        "projectPath": "Projects"
      }
    }
  ],
  "metadata": {
    "skip": 1.1,
    "limit": 1.1,
    "total": 1.1,
    "previousPageSkip": null,
    "nextPageSkip": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/admin/projects"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/admin/projects';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/admin/projects"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/admin/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/automation-studio/admin/projects")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/automation-studio/admin/projects');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/admin/projects");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/admin/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```